/* i.h */
/**************************************
* local include file for ilib functions
* Istvan Mohos, 1987
**************************************/

#ifdef pyr
#include <sys/time.h>
#else
#include <time.h>
#endif

#include <stdio.h>
#include <signal.h>
#include <sys/types.h>
#include <sys/stat.h>

#ifndef X_OK
#    ifdef REALUNIX
#        define F_OK 0
#        define X_OK 1
#        define W_OK 2
#        define R_OK 4
#        include <fcntl.h>
#    else
#        include <sys/file.h>
#    endif
#endif

#define MAXSTR       1892
#define BIGBUFSIZ    4096
#define SHORTSTR     256
#define IFOURK       4096
#define ITWOK        2048
#define IONEK        1024
#define IHALFK       512
#define IQUARTK      256
#define BADCHARP(p)  ((p) == (char *)NULL || *(p) == '\0')
#define NULCHARP(p)  ((p) == (char *)NULL)
#define WHITE(c)     ((c) < 33)
#define BLACK(c)     ((c) > 32)
#define SMALL(c)     ((c) < 32)

#define INITOKF      1    /* setup forward parsing */
#define INITOKR     -1    /* setup reverse parsing */
#define ITOKF        2    /* forward parse */
#define ITOKR       -2    /* reverse parse */

int  fstat();
int  stat();
char *malloc();
char *calloc();
long lseek();
long time();

struct tm *_igetdate();

char *ctime();
char *iwhich();
char *getenv();
char *ilast();
char *ianytok();
char *ialntok();
char *ictok();
int  ierror();
int  ifamily();
int  ilongest();
int  itexrect();
int  iread();

extern int errno, sys_nerr;
extern char *sys_errlist[];

#ifndef IAMIERROR
extern char ierbuf[];
extern int  ierflag;
#endif
