/* iego.c */
/*******************************************************
* return file name in buf without path or .ext component
* Istvan Mohos, 1987 --- in the Public Domain
*******************************************************/

#include "i.h"

int
iego (ptr, wbuf, delim, ext)
char *ptr, *wbuf, delim, ext;
{
    char *fr, *to, *mark;

    if (BADCHARP(ptr))
        return (ierror ("iego: invalid name pointer"));
    if (delim == 0)
        delim = '/';

    to = wbuf;
    *to = '\0';
    for (fr = ptr; *fr++;);
    for (--fr; --fr > ptr;) {
        if (*fr == delim) {
            ++fr;
            break;
        }
    }
    if (*fr == delim)
        ++fr;
    
    if (ext == 0)
        for (mark = ptr; mark < fr; *to++ = *mark++);
    else
        for (;*fr && *fr != ext;)
            *to++ = *fr++;
    *to = '\0';

    return (strlen (wbuf));
}
