/* ierror.c */
/****************************************
* report error via "ierbuf" and "ierflag"
* Istvan Mohos, 1987 --- in the Public Domain
****************************************/

#define IAMIERROR
#include "i.h"

char ierbuf[IHALFK];
int  ierflag;

int
ierror (ustr)
char *ustr;
{
    if (errno > 0 && errno < sys_nerr) { /* system error */
        ierflag = -errno;
        if (NULCHARP (ustr))
            strcpy(ierbuf, sys_errlist[errno]);
        else
            sprintf(ierbuf, "%s --- %.*s", sys_errlist[errno],
                IHALFK - strlen (sys_errlist[errno]) - 6, ustr);
        errno = 0;
        return (ierflag);
    }

    ierflag = -sys_nerr; /* user error */
    if (NULCHARP (ustr))
        strcpy (ierbuf, "Error");
    else
        strncpy (ierbuf, ustr, IHALFK-1);
    errno = 0;
    return (ierflag);
}
